Subject: Bug#998: [X2Go-Dev] Bug#998: Bug#998: Image inverted when displayed via x2go

From: Toby Darling <[email-masked]>
Date: Fri, 12 Feb 2016 08:21:49 +0000

Hi Mike

>>> For your actual bug report, it would be helpful to know if the
>>> "flipped image" (it's not color-inverted, it's mirrored along the X
>>> axis) issue only occurs with one, or with all available algorithms.
>>
>> You are correct that the image inversion is is along the x-axis. The
>> colour/shading is correct.
>>
>> I've not been able to fix the inversion having tried with 16m,
>> 16m-png, 16m-rdp, 16m-tight, 8-tight, 8 and 8-png (I hope that's
>> enough for a representative sample)
>>
>> What I have now found is that an earlier version of the software
>> (EMAN2 2.0) *does* get displayed correctly through x2go. I've narrowed
>> this further to version 2.07 is OK when displayed via x2go, while
>> version 2.1 exhibits the inversion.
>>
>> http://ncmi.bcm.tmc.edu/ncmi/software/software_details?selected_software=counter_222
>>
>>
>>
>> Cheers
>> Toby
>
> Is the source code of the referenced software online? Is it free
> software? If yes, there is a chance we can look at changes in that
> software.

Fortunately, it is.

2.1 : http://ncmi.bcm.edu/ncmi/software/counter_222/software_129
2.07: http://ncmi.bcm.edu/ncmi/software/counter_222/software_122

> Also, does the software dynamically link in shared libraries? Or has it
> been built statically?

It's all python code and it ships with its own python 2.7.x

> I guess that there is a flaw in nx-libs that gets triggered by your
> application. If we could generate diffs of the different EMAN2 2.0
> versions, we might be able to track down the cause for the mirroring
> effect.

I did have a look, unfortunately, my python-fu is weak. I do notice that 
the python version went from 2.7.2 -> 2.7.3.

Cheers
Toby
-- 
Toby Darling, Scientific Computing (2N249)
MRC Laboratory of Molecular Biology
Francis Crick Avenue
Cambridge Biomedical Campus
Cambridge CB2 0QH
Phone 01223 267070